Bug 1921167 - git-annex-8.20210428 is available
Summary: git-annex-8.20210428 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: git-annex
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Boeckel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-27 16:26 UTC by Upstream Release Monitoring
Modified: 2021-05-25 01:54 UTC (History)
3 users (show)

Fixed In Version: git-annex-8.20210428-1.fc34 git-annex-8.20210428-1.fc33 git-annex-8.20210428-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-25 01:09:17 UTC
Type: ---


Attachments (Terms of Use)
[patch] Update to 8.20210127 (#1921167) (1.04 KB, patch)
2021-01-27 16:26 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 8.20210223 (#1921167) (963 bytes, patch)
2021-02-23 19:03 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 8.20210310 (#1921167) (963 bytes, patch)
2021-03-10 18:48 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 8.20210428 (#1921167) (963 bytes, patch)
2021-04-28 17:36 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2021-01-27 16:26:16 UTC
Latest upstream release: 8.20210127
Current version/release in rawhide: 8.20201129-1.fc34
URL: https://git-annex.branchable.com/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/1165/

Comment 1 Upstream Release Monitoring 2021-01-27 16:26:20 UTC
Created attachment 1751301 [details]
[patch] Update to 8.20210127 (#1921167)

Comment 2 Upstream Release Monitoring 2021-01-30 10:13:44 UTC
the-new-hotness/release-monitoring.org's scratch build of git-annex-8.20210127-1.fc32.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=60662059

Comment 3 Elliott Sales de Andrade 2021-02-01 21:08:22 UTC
This is failing quite miserably on armv7hl, but not others, on all releases:

CmdLine.hs:33:9: error:
    • Couldn't match expected type ‘xml-types-0.3.7:Data.XML.Types.Element’
                  with actual type ‘Either e0 Git.Repo -> IO ()’
    • Probable cause: ‘go’ is applied to too few arguments
      In the first argument of ‘(=<<)’, namely ‘go’
      In a stmt of a 'do' block: go =<< tryNonAsync getgitrepo
      In the expression:
        do setupConsole
           go =<< tryNonAsync getgitrepo
   |
33 |         go =<< tryNonAsync getgitrepo
   |         ^^
CmdLine.hs:33:9: error:
    • Couldn't match expected type ‘IO (Either SomeException Git.Repo)
                                    -> IO ()’
                  with actual type ‘[xml-types-0.3.7:Data.XML.Types.Element]’
    • The operator ‘(=<<)’ takes two arguments,
      but its type ‘xml-types-0.3.7:Data.XML.Types.Element
                    -> [xml-types-0.3.7:Data.XML.Types.Element]’
      has only one
      In a stmt of a 'do' block: go =<< tryNonAsync getgitrepo
      In the expression:
        do setupConsole
           go =<< tryNonAsync getgitrepo
   |
33 |         go =<< tryNonAsync getgitrepo
   |         ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
CmdLine.hs:39:40: error:
    • Couldn't match expected type ‘(String -> String -> Annex ())
                                    -> (String, String) -> Annex b1’
                  with actual type ‘Int’
    • The function ‘uncurry’ is applied to one argument,
      but its type ‘Int’ has none
      In the second argument of ‘($)’, namely ‘uncurry Annex.setField’
      In a stmt of a 'do' block: forM_ fields $ uncurry Annex.setField
   |
39 |                         forM_ fields $ uncurry Annex.setField
   |                                        ^^^^^^^^^^^^^^^^^^^^^^
CmdLine.hs:41:49: error:
    • Couldn't match expected type ‘xml-types-0.3.7:Data.XML.Types.Name’
                  with actual type ‘Maybe Git.Repo -> IO ()’
    • Probable cause: ‘a’ is applied to too few arguments
      In the first argument of ‘(.)’, namely ‘a’
      In the second argument of ‘($)’, namely ‘a . Just’
      In the expression: inRepo $ a . Just
   |
41 |                                 (\a -> inRepo $ a . Just)
   |                                                 ^
CmdLine.hs:41:49: error:
    • Couldn't match expected type ‘IO ()’
                  with actual type ‘(()
                                     -> conduit-1.3.2:Data.Conduit.Internal.Pipe.Pipe
                                          i0 i0 xml-types-0.3.7:Data.XML.Types.Event () m3 b2)
                                    -> conduit-1.3.2:Data.Conduit.Internal.Pipe.Pipe
                                         i0 i0 xml-types-0.3.7:Data.XML.Types.Event () m3 b2’
    • Probable cause: ‘(.)’ is applied to too few arguments
      In the second argument of ‘($)’, namely ‘a . Just’
      In the expression: inRepo $ a . Just
      In the third argument of ‘parsewith’, namely
        ‘(\ a -> inRepo $ a . Just)’
   |
41 |                                 (\a -> inRepo $ a . Just)
   |                                                 ^^^^^^^^
CmdLine.hs:41:53: error:
    • Couldn't match expected type ‘xml-conduit-1.9.0.0:Text.XML.Stream.Render.Attributes’
                  with actual type ‘a1 -> Maybe a1’
    • Probable cause: ‘Just’ is applied to too few arguments
      In the second argument of ‘(.)’, namely ‘Just’
      In the second argument of ‘($)’, namely ‘a . Just’
      In the expression: inRepo $ a . Just
   |
41 |                                 (\a -> inRepo $ a . Just)
   |                                                     ^^^^
CmdLine.hs:42:34: error:
    • Couldn't match expected type ‘xml-types-0.3.7:Data.XML.Types.Name’
                  with actual type ‘IO a2 -> m2 a2’
    • Probable cause: ‘liftIO’ is applied to too few arguments
      In the first argument of ‘(.)’, namely ‘liftIO’
      In the fourth argument of ‘parsewith’, namely
        ‘(liftIO . handleParseResult)’
      In a stmt of a 'do' block:
        (cmd, seek, globalconfig) <- parsewith
                                       False
                                       cmdparser
                                       (\ a -> inRepo $ a . Just)
                                       (liftIO . handleParseResult)
   |
42 |                                 (liftIO . O.handleParseResult)
   |                                  ^^^^^^
CmdLine.hs:42:34: error:
    • Couldn't match expected type ‘Annex
                                      (Command, CommandSeek, GlobalSetter)’
                  with actual type ‘(()
                                     -> conduit-1.3.2:Data.Conduit.Internal.Pipe.Pipe
                                          i1 i1 xml-types-0.3.7:Data.XML.Types.Event () m4 b3)
                                    -> conduit-1.3.2:Data.Conduit.Internal.Pipe.Pipe
                                         i1 i1 xml-types-0.3.7:Data.XML.Types.Event () m4 b3’
    • Probable cause: ‘(.)’ is applied to too few arguments
      In the fourth argument of ‘parsewith’, namely
        ‘(liftIO . handleParseResult)’
      In a stmt of a 'do' block:
        (cmd, seek, globalconfig) <- parsewith
                                       False
                                       cmdparser
                                       (\ a -> inRepo $ a . Just)
                                       (liftIO . handleParseResult)
      In the second argument of ‘($)’, namely
        ‘do checkEnvironment
            forM_ fields $ uncurry Annex.setField
            (cmd, seek, globalconfig) <- parsewith
                                           False
                                           cmdparser
                                           (\ a -> inRepo $ a . Just)
                                           (liftIO . handleParseResult)
            prepRunCommand cmd globalconfig
            ....’
   |
42 |                                 (liftIO . O.handleParseResult)
   |                                  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^
CmdLine.hs:42:43: error:
    • Couldn't match expected type ‘xml-conduit-1.9.0.0:Text.XML.Stream.Render.Attributes’
                  with actual type ‘ParserResult a3 -> IO a3’
    • Probable cause: ‘handleParseResult’ is applied to too few arguments
      In the second argument of ‘(.)’, namely ‘handleParseResult’
      In the fourth argument of ‘parsewith’, namely
        ‘(liftIO . handleParseResult)’
      In a stmt of a 'do' block:
        (cmd, seek, globalconfig) <- parsewith
                                       False
                                       cmdparser
                                       (\ a -> inRepo $ a . Just)
                                       (liftIO . handleParseResult)
   |
42 |                                 (liftIO . O.handleParseResult)
   |                                           ^^^^^^^^^^^^^^^^^^^
CmdLine.hs:48:39: error:
    • Couldn't match expected type ‘IO (Maybe Git.Repo) -> t’
                  with actual type ‘[xml-types-0.3.7:Data.XML.Types.Element]’
    • The operator ‘(=<<)’ takes two arguments,
      but its type ‘xml-types-0.3.7:Data.XML.Types.Element
                    -> [xml-types-0.3.7:Data.XML.Types.Element]’
      has only one
      In the expression: a =<< Git.Config.global
      In the expression: \ a -> a =<< Git.Config.global
    • Relevant bindings include
        ingitrepo :: xml-types-0.3.7:Data.XML.Types.Element -> t
          (bound at CmdLine.hs:48:21)
   |
48 |                 let ingitrepo = \a -> a =<< Git.Config.global
   |                                       ^^^^^^^^^^^^^^^^^^^^^^^
CmdLine.hs:52:50: error:
    • Couldn't match type ‘Maybe Git.Repo -> IO ()’
                     with ‘xml-types-0.3.7:Data.XML.Types.Element’
      Expected type: (Maybe Git.Repo -> IO ()) -> IO ()
        Actual type: xml-types-0.3.7:Data.XML.Types.Element -> IO ()
    • In the third argument of ‘parsewith’, namely ‘ingitrepo’
      In a stmt of a 'do' block:
        res <- parsewith False cmdparser ingitrepo return
      In the expression:
        do let ingitrepo = ...
           res <- parsewith False cmdparser ingitrepo return
           case res of
             Failure _ -> void (handleParseResult res)
             _ -> do ...
   |
52 |                 res <- parsewith False cmdparser ingitrepo return
   |                                                  ^^^^^^^^^
CmdLine.hs:58:42: error:
    • Couldn't match expected type ‘xml-types-0.3.7:Data.XML.Types.Name’
                  with actual type ‘Maybe a4 -> a4’
    • Probable cause: ‘fromMaybe’ is applied to too few arguments
      In the first argument of ‘(.)’, namely ‘fromMaybe (throw norepo)’
      In the second argument of ‘parsewith’, namely
        ‘(fromMaybe (throw norepo) . cmdnorepo)’
      In a stmt of a 'do' block:
        (_, a, _globalconfig) <- parsewith
                                   True
                                   (fromMaybe (throw norepo) . cmdnorepo)
                                   ingitrepo
                                   handleParseResult
   |
58 |                                         (fromMaybe (throw norepo) . cmdnorepo)
   |                                          ^^^^^^^^^^^^^^^^^^^^^^^^
CmdLine.hs:58:42: error:
    • Couldn't match expected type ‘Parser (IO ())’
                  with actual type ‘(()
                                     -> conduit-1.3.2:Data.Conduit.Internal.Pipe.Pipe
                                          i2 i2 xml-types-0.3.7:Data.XML.Types.Event () m5 b4)
                                    -> conduit-1.3.2:Data.Conduit.Internal.Pipe.Pipe
                                         i2 i2 xml-types-0.3.7:Data.XML.Types.Event () m5 b4’
    • Probable cause: ‘(.)’ is applied to too few arguments
      In the second argument of ‘parsewith’, namely
        ‘(fromMaybe (throw norepo) . cmdnorepo)’
      In a stmt of a 'do' block:
        (_, a, _globalconfig) <- parsewith
                                   True
                                   (fromMaybe (throw norepo) . cmdnorepo)
                                   ingitrepo
                                   handleParseResult
      In the expression:
        do (_, a, _globalconfig) <- parsewith
                                      True
                                      (fromMaybe (throw norepo) . cmdnorepo)
                                      ingitrepo
                                      handleParseResult
           a
   |
58 |                                         (fromMaybe (throw norepo) . cmdnorepo)
   |                                          ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
CmdLine.hs:58:69: error:
    • Couldn't match expected type ‘xml-conduit-1.9.0.0:Text.XML.Stream.Render.Attributes’
                  with actual type ‘Command -> Maybe (Parser (IO ()))’
    • Probable cause: ‘cmdnorepo’ is applied to too few arguments
      In the second argument of ‘(.)’, namely ‘cmdnorepo’
      In the second argument of ‘parsewith’, namely
        ‘(fromMaybe (throw norepo) . cmdnorepo)’
      In a stmt of a 'do' block:
        (_, a, _globalconfig) <- parsewith
                                   True
                                   (fromMaybe (throw norepo) . cmdnorepo)
                                   ingitrepo
                                   handleParseResult
   |
58 |                                         (fromMaybe (throw norepo) . cmdnorepo)
   |                                                                     ^^^^^^^^^
CmdLine.hs:59:41: error:
    • Couldn't match type ‘Maybe Git.Repo -> IO ()’
                     with ‘xml-types-0.3.7:Data.XML.Types.Element’
      Expected type: (Maybe Git.Repo -> IO ()) -> IO ()
        Actual type: xml-types-0.3.7:Data.XML.Types.Element -> IO ()
    • In the third argument of ‘parsewith’, namely ‘ingitrepo’
      In a stmt of a 'do' block:
        (_, a, _globalconfig) <- parsewith
                                   True
                                   (fromMaybe (throw norepo) . cmdnorepo)
                                   ingitrepo
                                   handleParseResult
      In the expression:
        do (_, a, _globalconfig) <- parsewith
                                      True
                                      (fromMaybe (throw norepo) . cmdnorepo)
                                      ingitrepo
                                      handleParseResult
           a
   |
59 |                                         ingitrepo
   |                                         ^^^^^^^^^
CmdLine.hs:94:22: error:
    • Couldn't match expected type ‘Int’
                  with actual type ‘a0 -> b0 -> c0 -> (a0, b0, c0)’
    • Probable cause: ‘(,,)’ is applied to too few arguments
      In the first argument of ‘(<$>)’, namely ‘(,,)’
      In the first argument of ‘(<*>)’, namely ‘(,,) <$> pure c’
      In the first argument of ‘(<*>)’, namely
        ‘(,,) <$> pure c <*> getparser c’
   |
94 |         mkparser c = (,,) 
   |                      ^^^^
CmdLine.hs:94:22: error:
    • Couldn't match expected type ‘f0 Command
                                    -> Parser (v -> GlobalSetter -> b)’
                  with actual type ‘conduit-1.3.2:Data.Conduit.Internal.Conduit.ConduitT
                                      (conduit-1.3.2:Data.Conduit.Internal.Conduit.Flush
                                         xml-types-0.3.7:Data.XML.Types.Event)
                                      (conduit-1.3.2:Data.Conduit.Internal.Conduit.Flush
                                         xml-types-0.3.7:Data.XML.Types.Event)
                                      m1
                                      ()’
    • The operator ‘(<$>)’ takes two arguments,
      but its type ‘Int
                    -> conduit-1.3.2:Data.Conduit.Internal.Conduit.ConduitT
                         (conduit-1.3.2:Data.Conduit.Internal.Conduit.Flush
                            xml-types-0.3.7:Data.XML.Types.Event)
                         (conduit-1.3.2:Data.Conduit.Internal.Conduit.Flush
                            xml-types-0.3.7:Data.XML.Types.Event)
                         m1
                         ()’
      has only one
      In the first argument of ‘(<*>)’, namely ‘(,,) <$> pure c’
      In the first argument of ‘(<*>)’, namely
        ‘(,,) <$> pure c <*> getparser c’
    • Relevant bindings include
        mkparser :: Command -> Parser b (bound at CmdLine.hs:94:9)
        getparser :: Command -> Parser v (bound at CmdLine.hs:86:58)
        parseCmd :: String
                    -> String
                    -> [GlobalOption]
                    -> CmdParams
                    -> [Command]
                    -> (Command -> Parser v)
                    -> ParserResult (Command, v, GlobalSetter)
          (bound at CmdLine.hs:86:1)
   |
94 |         mkparser c = (,,) 
   |                      ^^^^^...
CmdLine.hs:99:27: error:
    • Couldn't match expected type ‘[a]’
                  with actual type ‘Maybe Data.Text.Internal.Text
                                    -> Data.Set.Internal.Set xml-types-0.3.7:Data.XML.Types.Name
                                    -> Data.Set.Internal.Set xml-types-0.3.7:Data.XML.Types.Name’
    • Probable cause: ‘concatMap’ is applied to too few arguments
      In the second argument of ‘($)’, namely
        ‘concatMap
           (\ l -> [H.text l, H.line])
           (synopsis progname progdesc : commandList allcmds)’
      In the expression:
        mconcat
          $ concatMap
              (\ l -> [H.text l, H.line])
              (synopsis progname progdesc : commandList allcmds)
      In an equation for ‘intro’:
          intro
            = mconcat
                $ concatMap
                    (\ l -> [H.text l, H.line])
                    (synopsis progname progdesc : commandList allcmds)
    • Relevant bindings include intro :: a (bound at CmdLine.hs:99:9)
   |
99 |         intro = mconcat $ concatMap (\l -> [H.text l, H.line])
   |                           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^...
CmdLine.hs:99:38: error:
    • Couldn't match expected type ‘xml-types-0.3.7:Data.XML.Types.Name’
                  with actual type ‘String -> [H.Doc]’
    • The lambda expression ‘\ l -> ...’ has one argument,
      but its type ‘xml-types-0.3.7:Data.XML.Types.Name’ has none
      In the first argument of ‘concatMap’, namely
        ‘(\ l -> [H.text l, H.line])’
      In the second argument of ‘($)’, namely
        ‘concatMap
           (\ l -> [H.text l, H.line])
           (synopsis progname progdesc : commandList allcmds)’
   |
99 |         intro = mconcat $ concatMap (\l -> [H.text l, H.line])
   |                                      ^^^^^^^^^^^^^^^^^^^^^^^^
CmdLine.hs:100:18: error:
    • Couldn't match expected type ‘Data.Text.Internal.Text’
                  with actual type ‘[[Char]]’
    • In the second argument of ‘concatMap’, namely
        ‘(synopsis progname progdesc : commandList allcmds)’
      In the second argument of ‘($)’, namely
        ‘concatMap
           (\ l -> [H.text l, H.line])
           (synopsis progname progdesc : commandList allcmds)’
      In the expression:
        mconcat
          $ concatMap
              (\ l -> [H.text l, H.line])
              (synopsis progname progdesc : commandList allcmds)
    |
100 |                 (synopsis progname progdesc : commandList allcmds)
    |                  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
CmdLine.hs:127:16: error:
    • Couldn't match expected type ‘Int’
                  with actual type ‘GitConfig -> Bool’
    • Probable cause: ‘annexDebug’ is applied to too few arguments
      In the first argument of ‘(<$>)’, namely ‘annexDebug’
      In the first argument of ‘whenM’, namely
        ‘(annexDebug <$> Annex.getGitConfig)’
      In the expression: whenM (annexDebug <$> Annex.getGitConfig)
    |
127 |         whenM (annexDebug <$> Annex.getGitConfig) $
    |                ^^^^^^^^^^
CmdLine.hs:127:16: error:
    • Couldn't match expected type ‘Annex GitConfig -> Annex Bool’
                  with actual type ‘conduit-1.3.2:Data.Conduit.Internal.Conduit.ConduitT
                                      (conduit-1.3.2:Data.Conduit.Internal.Conduit.Flush
                                         xml-types-0.3.7:Data.XML.Types.Event)
                                      (conduit-1.3.2:Data.Conduit.Internal.Conduit.Flush
                                         xml-types-0.3.7:Data.XML.Types.Event)
                                      m0
                                      ()’
    • The operator ‘(<$>)’ takes two arguments,
      but its type ‘Int
                    -> conduit-1.3.2:Data.Conduit.Internal.Conduit.ConduitT
                         (conduit-1.3.2:Data.Conduit.Internal.Conduit.Flush
                            xml-types-0.3.7:Data.XML.Types.Event)
                         (conduit-1.3.2:Data.Conduit.Internal.Conduit.Flush
                            xml-types-0.3.7:Data.XML.Types.Event)
                         m0
                         ()’
      has only one
      In the first argument of ‘whenM’, namely
        ‘(annexDebug <$> Annex.getGitConfig)’
      In the expression: whenM (annexDebug <$> Annex.getGitConfig)
    |
127 |         whenM (annexDebug <$> Annex.getGitConfig) $
    |                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

Any ideas?

Comment 4 Upstream Release Monitoring 2021-02-23 19:03:22 UTC
Latest upstream release: 8.20210223
Current version/release in rawhide: 8.20201129-2.fc34
URL: https://git-annex.branchable.com/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/1165/

Comment 5 Upstream Release Monitoring 2021-02-23 19:03:25 UTC
Created attachment 1758908 [details]
[patch] Update to 8.20210223 (#1921167)

Comment 6 Upstream Release Monitoring 2021-02-23 23:43:53 UTC
the-new-hotness/release-monitoring.org's scratch build of git-annex-8.20210223-1.fc32.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=62596090

Comment 7 Elliott Sales de Andrade 2021-02-25 09:10:18 UTC
The latest version builds on F32, but fails on F33+ for armv7hl only with:

Test.hs:238:9: error:
    • Couldn't match expected type ‘[Char] -> IO a21’
                  with actual type ‘Options.Applicative.Internal.NondetT m16 ()’
    • The function ‘createDirectory’ is applied to one argument,
      but its type ‘Options.Applicative.Internal.NondetT m16 ()’ has none
      In a stmt of a 'do' block: createDirectory "remotedir"
      In the expression:
        do createDirectory "remotedir"
           git_annex "initremote" [remotename, "type=directory", ....] "init"
    |
238 |         createDirectory "remotedir"
    |         ^^^^^^^^^^^^^^^^^^^^^^^^^^^
Test.hs:529:17: error:
    • Couldn't match expected type ‘FilePath -> IO a29’
                  with actual type ‘Options.Applicative.Internal.NondetT m19 ()’
    • The function ‘createDirectory’ is applied to one argument,
      but its type ‘Options.Applicative.Internal.NondetT m19 ()’ has none
      In a stmt of a 'do' block: createDirectory (importdir </> subdir)
      In the expression:
        do createDirectory (importdir </> subdir)
           let importf = subdir </> "f"
           writecontent (importdir </> importf) (content importf)
           return (importdir </> subdir, importdir </> importf, importf)
    |
529 |                 createDirectory (importdir </> subdir)
    |                 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Test.hs:838:9: error:
    • Couldn't match expected type ‘[Char] -> IO a20’
                  with actual type ‘Options.Applicative.Internal.NondetT m15 ()’
    • The function ‘createDirectory’ is applied to one argument,
      but its type ‘Options.Applicative.Internal.NondetT m15 ()’ has none
      In a stmt of a 'do' block: createDirectory subdir
      In the second argument of ‘($)’, namely
        ‘do annexed_notpresent annexedfile
            git_annex "fix" [annexedfile] "fix of not present"
            annexed_notpresent annexedfile
            git_annex "get" [annexedfile] "get of file"
            ....’
    |
838 |         createDirectory subdir
    |         ^^^^^^^^^^^^^^^^^^^^^^
Test.hs:1005:17: error:
    • Couldn't match expected type ‘[Char] -> [Char] -> IO a15’
                  with actual type ‘Applicative
                                      (Options.Applicative.Internal.ListT m14)’
    • The function ‘renameFile’ is applied to two arguments,
      but its type ‘Applicative (Options.Applicative.Internal.ListT m14)’
      has none
      In a stmt of a 'do' block:
        renameFile "unusedfile" "unusedunstagedfile"
      In the second argument of ‘($)’, namely
        ‘do writecontent "unusedfile" "unusedcontent"
            git_annex "add" ["unusedfile"] "add of unusedfile"
            unusedfilekey <- getKey backendSHA256E "unusedfile"
            renameFile "unusedfile" "unusedunstagedfile"
            ....’
     |
1005 |                 renameFile "unusedfile" "unusedunstagedfile"
     |                 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Test.hs:1008:17: error:
    • Couldn't match expected type ‘[Char] -> IO a17’
                  with actual type ‘Options.Applicative.Internal.ComplResult
                                      (Either ParseError a16)’
    • The function ‘removeFile’ is applied to one argument,
      but its type ‘Options.Applicative.Internal.ComplResult
                      (Either ParseError a16)’
      has none
      In a stmt of a 'do' block: removeFile "unusedunstagedfile"
      In the second argument of ‘($)’, namely
        ‘do writecontent "unusedfile" "unusedcontent"
            git_annex "add" ["unusedfile"] "add of unusedfile"
            unusedfilekey <- getKey backendSHA256E "unusedfile"
            renameFile "unusedfile" "unusedunstagedfile"
            ....’
     |
1008 |                 removeFile "unusedunstagedfile"
     |                 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Test.hs:1027:9: error:
    • Couldn't match expected type ‘[Char] -> IO a19’
                  with actual type ‘Options.Applicative.Internal.ComplResult
                                      (Either ParseError a18)’
    • The function ‘removeFile’ is applied to one argument,
      but its type ‘Options.Applicative.Internal.ComplResult
                      (Either ParseError a18)’
      has none
      In a stmt of a 'do' block: removeFile "unusedfile"
      In the second argument of ‘($)’, namely
        ‘do checkunused [] "in new clone"
            git_annex "get" [annexedfile] "get of file"
            git_annex "get" [sha1annexedfile] "get of file"
            annexedfilekey <- getKey backendSHA256E annexedfile
            ....’
     |
1027 |         removeFile "unusedfile"
     |         ^^^^^^^^^^^^^^^^^^^^^^^
Test.hs:1074:9: error:
    • Couldn't match expected type ‘[Char] -> IO a14’
                  with actual type ‘Options.Applicative.Internal.NondetT m13 ()’
    • The function ‘createDirectory’ is applied to one argument,
      but its type ‘Options.Applicative.Internal.NondetT m13 ()’ has none
      In a stmt of a 'do' block: createDirectory "dir"
      In the second argument of ‘($)’, namely
        ‘do annexed_notpresent annexedfile
            git_annex_expectoutput "find" [] []
            git_annex "get" [annexedfile] "get"
            annexed_present annexedfile
            ....’
     |
1074 |         createDirectory "dir"
     |         ^^^^^^^^^^^^^^^^^^^^^
Test.hs:1218:22: error:
    • Couldn't match expected type ‘[Char] -> IO [[Char]]’
                  with actual type ‘Alternative
                                      Options.Applicative.Internal.Completion’
    • The function ‘getDirectoryContents’ is applied to one argument,
      but its type ‘Alternative Options.Applicative.Internal.Completion’
      has none
      In a stmt of a 'do' block: l <- getDirectoryContents d
      In the expression:
        do l <- getDirectoryContents d
           let v = filter (variantprefix `isPrefixOf`) l
           length v == 2
             @? (what ++ " not exactly 2 variant files in: " ++ show l)
           conflictor `notElem` l
             @? ("conflictor still present after conflict resolution")
           ....
     |
1218 |                 l <- getDirectoryContents d
     |                      ^^^^^^^^^^^^^^^^^^^^^^
Test.hs:1255:22: error:
    • Couldn't match expected type ‘[Char] -> IO [[Char]]’
                  with actual type ‘Alternative
                                      Options.Applicative.Internal.Completion’
    • The function ‘getDirectoryContents’ is applied to one argument,
      but its type ‘Alternative Options.Applicative.Internal.Completion’
      has none
      In a stmt of a 'do' block: l <- getDirectoryContents d
      In the expression:
        do l <- getDirectoryContents d
           let v = filter (variantprefix `isPrefixOf`) l
           length v == 2
             @? (what ++ " not exactly 2 variant files in: " ++ show l)
           conflictor `notElem` l
             @? ("conflictor still present after conflict resolution")
           ....
     |
1255 |                 l <- getDirectoryContents d
     |                      ^^^^^^^^^^^^^^^^^^^^^^
Test.hs:1280:33: error:
    • Couldn't match expected type ‘[Char] -> IO a28’
                  with actual type ‘Options.Applicative.Internal.NondetT m18 ()’
    • The function ‘createDirectory’ is applied to one argument,
      but its type ‘Options.Applicative.Internal.NondetT m18 ()’ has none
      In a stmt of a 'do' block: createDirectory conflictor
      In the second argument of ‘($)’, namely
        ‘do disconnectOrigin
            createDirectory conflictor
            writecontent subfile "subfile"
            add_annex conflictor "add conflicter"
            ....’
     |
1280 |                                 createDirectory conflictor
     |                                 ^^^^^^^^^^^^^^^^^^^^^^^^^^
Test.hs:1294:37: error:
    • Couldn't match type ‘[Char]’
                     with ‘Options.Applicative.Internal.Completion r1’
      Expected type: Options.Applicative.Internal.Completion r1
        Actual type: FilePath
    • In the first argument of ‘doesDirectoryExist’, namely
        ‘(d </> conflictor)’
      In the first argument of ‘(@?)’, namely
        ‘doesDirectoryExist (d </> conflictor)’
      In a stmt of a 'do' block:
        doesDirectoryExist (d </> conflictor)
          @? (d ++ " conflictor directory missing")
     |
1294 |                 doesDirectoryExist (d </> conflictor) 
     |                                     ^^^^^^^^^^^^^^^^
Test.hs:1296:22: error:
    • Couldn't match expected type ‘FilePath -> IO [[Char]]’
                  with actual type ‘Alternative
                                      Options.Applicative.Internal.Completion’
    • The function ‘getDirectoryContents’ is applied to one argument,
      but its type ‘Alternative Options.Applicative.Internal.Completion’
      has none
      In a stmt of a 'do' block: l <- getDirectoryContents d
      In the expression:
        do doesDirectoryExist (d </> conflictor)
             @? (d ++ " conflictor directory missing")
           l <- getDirectoryContents d
           let v = filter (variantprefix `isPrefixOf`) l
           not (null v)
             @? (what ++ " conflictor variant file missing in: " ++ show l)
           ....
     |
1296 |                 l <- getDirectoryContents d
     |                      ^^^^^^^^^^^^^^^^^^^^^^
Test.hs:1339:22: error:
    • Couldn't match expected type ‘t -> IO [[Char]]’
                  with actual type ‘Alternative
                                      Options.Applicative.Internal.Completion’
    • The function ‘getDirectoryContents’ is applied to one argument,
      but its type ‘Alternative Options.Applicative.Internal.Completion’
      has none
      In a stmt of a 'do' block: l <- getDirectoryContents d
      In the expression:
        do l <- getDirectoryContents d
           let v = filter (variantprefix `isPrefixOf`) l
           not (null v)
             @? (what ++ " conflictor variant file missing in: " ++ show l)
           length v == 1 @? (what ++ " too many variant files in: " ++ show v)
    • Relevant bindings include
        d :: t (bound at Test.hs:1338:25)
        checkmerge :: [Char] -> t -> IO () (bound at Test.hs:1338:9)
     |
1339 |                 l <- getDirectoryContents d
     |                      ^^^^^^^^^^^^^^^^^^^^^^
Test.hs:1380:22: error:
    • Couldn't match expected type ‘[Char] -> IO [[Char]]’
                  with actual type ‘Alternative
                                      Options.Applicative.Internal.Completion’
    • The function ‘getDirectoryContents’ is applied to one argument,
      but its type ‘Alternative Options.Applicative.Internal.Completion’
      has none
      In a stmt of a 'do' block: l <- getDirectoryContents d
      In the expression:
        do l <- getDirectoryContents d
           let v = filter (variantprefix `isPrefixOf`) l
           not (null v)
             @? (what ++ " conflictor variant file missing in: " ++ show l)
           length v == 1 @? (what ++ " too many variant files in: " ++ show v)
           ....
     |
1380 |                 l <- getDirectoryContents d
     |                      ^^^^^^^^^^^^^^^^^^^^^^
Test.hs:1426:22: error:
    • Couldn't match expected type ‘[Char] -> IO [[Char]]’
                  with actual type ‘Alternative
                                      Options.Applicative.Internal.Completion’
    • The function ‘getDirectoryContents’ is applied to one argument,
      but its type ‘Alternative Options.Applicative.Internal.Completion’
      has none
      In a stmt of a 'do' block: l <- getDirectoryContents d
      In the expression:
        do l <- getDirectoryContents d
           let v = filter (variantprefix `isPrefixOf`) l
           not (null v)
             @? (what ++ " conflictor variant file missing in: " ++ show l)
           length v == 1 @? (what ++ " too many variant files in: " ++ show v)
           ....
     |
1426 |                 l <- getDirectoryContents d
     |                      ^^^^^^^^^^^^^^^^^^^^^^
Test.hs:1455:64: error:
    • Couldn't match type ‘[Char]’
                     with ‘Options.Applicative.Internal.NondetT IO a27’
      Expected type: Options.Applicative.Internal.NondetT IO a27
        Actual type: FilePath
    • In the second argument of ‘createDirectoryIfMissing’, namely
        ‘(fromRawFilePath (parentDir (toRawFilePath remoteconflictor)))’
      In a stmt of a 'do' block:
        createDirectoryIfMissing
          True (fromRawFilePath (parentDir (toRawFilePath remoteconflictor)))
      In the second argument of ‘($)’, namely
        ‘do disconnectOrigin
            createDirectoryIfMissing
              True (fromRawFilePath (parentDir (toRawFilePath remoteconflictor)))
            writecontent remoteconflictor annexedcontent
            add_annex conflictor "add remoteconflicter"
            ....’
     |
1455 |                                 createDirectoryIfMissing True (fromRawFilePath (parentDir (toRawFilePath remoteconflictor)))
     |                                                                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Test.hs:1484:41: error:
    • Couldn't match expected type ‘[Char] -> IO a13’
                  with actual type ‘Options.Applicative.Internal.NondetT m12 ()’
    • The function ‘createDirectory’ is applied to one argument,
      but its type ‘Options.Applicative.Internal.NondetT m12 ()’ has none
      In a stmt of a 'do' block: createDirectory conflictor
      In the second argument of ‘($)’, namely
        ‘do createDirectory conflictor
            writecontent (conflictor </> "subfile") "subfile"
            git_annex "add" [conflictor] "add conflicter"
            git_annex "sync" [] "sync in r2"
            ....’
     |
1484 |                                         createDirectory conflictor
     |                                         ^^^^^^^^^^^^^^^^^^^^^^^^^^
Test.hs:1529:22: error:
    • Couldn't match expected type ‘[Char] -> IO [[Char]]’
                  with actual type ‘Alternative
                                      Options.Applicative.Internal.Completion’
    • The function ‘getDirectoryContents’ is applied to one argument,
      but its type ‘Alternative Options.Applicative.Internal.Completion’
      has none
      In a stmt of a 'do' block: l <- getDirectoryContents "."
      In the second argument of ‘($)’, namely
        ‘do l <- getDirectoryContents "."
            let v = filter (variantprefix `isPrefixOf`) l
            length v == 0
              @? (what ++ " not exactly 0 variant files in: " ++ show l)
            conflictor `elem` l
              @? ("conflictor not present after conflict resolution")
            ....’
     |
1529 |                 l <- getDirectoryContents "."
     |                      ^^^^^^^^^^^^^^^^^^^^^^^^
Test.hs:1562:22: error:
    • Couldn't match expected type ‘[Char] -> IO (t0 [Char])’
                  with actual type ‘Alternative
                                      Options.Applicative.Internal.Completion’
    • The function ‘getDirectoryContents’ is applied to one argument,
      but its type ‘Alternative Options.Applicative.Internal.Completion’
      has none
      In a stmt of a 'do' block: l <- getDirectoryContents "."
      In the second argument of ‘($)’, namely
        ‘do git_annex "sync" [] ("sync should not work in " ++ what)
            l <- getDirectoryContents "."
            conflictor `elem` l
              @? ("conflictor not present after merge in " ++ what)’
     |
1562 |                 l <- getDirectoryContents "."
     |                      ^^^^^^^^^^^^^^^^^^^^^^^^
Test.hs:1579:55: error:
    • Couldn't match expected type ‘Options.Applicative.Internal.NondetT
                                      IO a11’
                  with actual type ‘[Char]’
    • In the second argument of ‘createDirectoryIfMissing’, namely
        ‘"a/b/c"’
      In a stmt of a 'do' block: createDirectoryIfMissing True "a/b/c"
      In the second argument of ‘($)’, namely
        ‘do disconnectOrigin
            origbranch <- annexeval origBranch
            git_annex "upgrade" [] "upgrade"
            git_annex "adjust" ["--unlock", "--force"] "adjust"
            ....’
     |
1579 |                         createDirectoryIfMissing True "a/b/c"
     |                                                       ^^^^^^^
Test.hs:1583:55: error:
    • Couldn't match expected type ‘Options.Applicative.Internal.NondetT
                                      IO a12’
                  with actual type ‘[Char]’
    • In the second argument of ‘createDirectoryIfMissing’, namely
        ‘"a/b/x"’
      In a stmt of a 'do' block: createDirectoryIfMissing True "a/b/x"
      In the second argument of ‘($)’, namely
        ‘do disconnectOrigin
            origbranch <- annexeval origBranch
            git_annex "upgrade" [] "upgrade"
            git_annex "adjust" ["--unlock", "--force"] "adjust"
            ....’
     |
1583 |                         createDirectoryIfMissing True "a/b/x"
     |                                                       ^^^^^^^
Test.hs:1588:39: error:
    • Couldn't match expected type ‘Options.Applicative.Internal.ListT
                                      m11 a23’
                  with actual type ‘[Char]’
    • In the first argument of ‘doesFileExist’, namely ‘"a/b/x/y"’
      In the first argument of ‘(@?)’, namely ‘doesFileExist "a/b/x/y"’
      In a stmt of a 'do' block:
        doesFileExist "a/b/x/y"
          @? ("a/b/x/y missing from master after adjusted branch sync")
     |
1588 |                         doesFileExist "a/b/x/y" @? ("a/b/x/y missing from master after adjusted branch sync")
     |                                       ^^^^^^^^^
Test.hs:1613:28: error:
    • Couldn't match expected type ‘Options.Applicative.Internal.Completion
                                      r0’
                  with actual type ‘[Char]’
    • In the first argument of ‘doesDirectoryExist’, namely ‘".git"’
      In the first argument of ‘(@?)’, namely ‘doesDirectoryExist ".git"’
      In a stmt of a 'do' block:
        doesDirectoryExist ".git" @? ".git vanished in uninit"
     |
1613 |         doesDirectoryExist ".git" @? ".git vanished in uninit"
     |                            ^^^^^^
Test.hs:1638:9: error:
    • Couldn't match expected type ‘[Char] -> IO a10’
                  with actual type ‘Options.Applicative.Internal.NondetT m10 ()’
    • The function ‘createDirectory’ is applied to one argument,
      but its type ‘Options.Applicative.Internal.NondetT m10 ()’ has none
      In a stmt of a 'do' block: createDirectory dir
      In the second argument of ‘($)’, namely
        ‘do git_annex
              "initremote"
              (words "foo type=hook encryption=none hooktype=foo")
              "initremote"
            createDirectory dir
            git_config "annex.foo-store-hook" $ "cp $ANNEX_FILE " ++ loc
            git_config "annex.foo-retrieve-hook"
              $ "cp " ++ loc ++ " $ANNEX_FILE"
            ....’
     |
1638 |         createDirectory dir
     |         ^^^^^^^^^^^^^^^^^^^
Test.hs:1668:9: error:
    • Couldn't match expected type ‘[Char] -> IO a9’
                  with actual type ‘Options.Applicative.Internal.NondetT m9 ()’
    • The function ‘createDirectory’ is applied to one argument,
      but its type ‘Options.Applicative.Internal.NondetT m9 ()’ has none
      In a stmt of a 'do' block: createDirectory "dir"
      In the second argument of ‘($)’, namely
        ‘do createDirectory "dir"
            git_annex
              "initremote"
              (words "foo type=directory encryption=none directory=dir")
              "initremote"
            git_annex "get" [annexedfile] "get of file"
            annexed_present annexedfile
            ....’
     |
1668 |         createDirectory "dir"
     |         ^^^^^^^^^^^^^^^^^^^^^
Test.hs:1684:9: error:
    • Couldn't match expected type ‘[Char] -> IO a8’
                  with actual type ‘Options.Applicative.Internal.NondetT m8 ()’
    • The function ‘createDirectory’ is applied to one argument,
      but its type ‘Options.Applicative.Internal.NondetT m8 ()’ has none
      In a stmt of a 'do' block: createDirectory "dir"
      In the second argument of ‘($)’, namely
        ‘do createDirectory "dir"
            git_annex
              "initremote"
              (words "foo type=rsync encryption=none rsyncurl=dir")
              "initremote"
            git_annex "get" [annexedfile] "get of file"
            annexed_present annexedfile
            ....’
     |
1684 |         createDirectory "dir"
     |         ^^^^^^^^^^^^^^^^^^^^^
Test.hs:1704:9: error:
    • Couldn't match expected type ‘FilePath -> IO a7’
                  with actual type ‘Options.Applicative.Internal.NondetT m7 ()’
    • The function ‘createDirectory’ is applied to one argument,
      but its type ‘Options.Applicative.Internal.NondetT m7 ()’ has none
      In a stmt of a 'do' block: createDirectory dir
      In the second argument of ‘($)’, namely
        ‘do dir <- fromRawFilePath <$> absPath (toRawFilePath "dir")
            createDirectory dir
            git_annex
              "initremote"
              (words $ "foo type=bup encryption=none buprepo=" ++ dir)
              "initremote"
            git_annex "get" [annexedfile] "get of file"
            ....’
     |
1704 |         createDirectory dir
     |         ^^^^^^^^^^^^^^^^^^^
Test.hs:1732:48: error:
    • Couldn't match type ‘[Char]’
                     with ‘Options.Applicative.Internal.NondetT IO a25’
      Expected type: Options.Applicative.Internal.NondetT IO a25
        Actual type: FilePath
    • In the second argument of ‘createDirectoryIfMissing’, namely
        ‘gpgtmp’
      In a stmt of a 'do' block: createDirectoryIfMissing False gpgtmp
      In the second argument of ‘($)’, namely
        ‘do gpgtmp <- (</> "gpgtmp") . fromRawFilePath
                        <$> relPathCwdToFile (toRawFilePath abstmp)
            createDirectoryIfMissing False gpgtmp
            Utility.Gpg.testTestHarness gpgtmp gpgcmd
              @? "test harness self-test failed"
            void
              $ Utility.Gpg.testHarness gpgtmp gpgcmd
                  $ do createDirectory "dir"
                       let ...
                       ....’
     |
1732 |                 createDirectoryIfMissing False gpgtmp
     |                                                ^^^^^^
Test.hs:1736:25: error:
    • Couldn't match expected type ‘[Char] -> IO a26’
                  with actual type ‘Options.Applicative.Internal.NondetT m17 ()’
    • The function ‘createDirectory’ is applied to one argument,
      but its type ‘Options.Applicative.Internal.NondetT m17 ()’ has none
      In a stmt of a 'do' block: createDirectory "dir"
      In the second argument of ‘($)’, namely
        ‘do createDirectory "dir"
            let initps = ... ++ ...
            git_annex "initremote" initps "initremote"
            git_annex_shouldfail
              "initremote"
              initps
              "initremote should not work when run twice in a row"
            ....’
     |
1736 |                         createDirectory "dir"
     |                         ^^^^^^^^^^^^^^^^^^^^^
Test.hs:1792:42: error:
    • Couldn't match type ‘[a24]’ with ‘Bool’
      Expected type: Options.Applicative.Internal.ListT IO a24 -> IO Bool
        Actual type: Options.Applicative.Internal.ListT IO a24
                     -> IO [a24]
    • In the first argument of ‘filterM’, namely ‘doesFileExist’
      In the expression: filterM doesFileExist
      In a stmt of a 'do' block:
        files <- filterM doesFileExist
                   $ map ("dir" </>) $ concatMap (serializeKeys cipher) keys
     |
1792 |                         files <- filterM doesFileExist $
     |                                          ^^^^^^^^^^^^^
Test.hs:1793:33: error:
    • Couldn't match type ‘[Char]’
                     with ‘Options.Applicative.Internal.ListT IO a24’
      Expected type: [Options.Applicative.Internal.ListT IO a24]
        Actual type: [FilePath]
    • In the second argument of ‘($)’, namely
        ‘map ("dir" </>) $ concatMap (serializeKeys cipher) keys’
      In a stmt of a 'do' block:
        files <- filterM doesFileExist
                   $ map ("dir" </>) $ concatMap (serializeKeys cipher) keys
      In the expression:
        do dummycfg <- Types.GitConfig.dummyRemoteGitConfig
           let encparams = ...
           cipher <- Crypto.decryptCipher gpgcmd encparams cip
           files <- filterM doesFileExist
                      $ map ("dir" </>) $ concatMap (serializeKeys cipher) keys
           ....
     |
1793 |                                 map ("dir" </>) $ concatMap (serializeKeys cipher) keys
     |                                 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Test.hs:1794:82: error:
    • Couldn't match type ‘Options.Applicative.Internal.ListT IO a24’
                     with ‘[Char]’
      Expected type: [FilePath]
        Actual type: [Options.Applicative.Internal.ListT IO a24]
    • In the second argument of ‘allM’, namely ‘files’
      In the second argument of ‘(<&&>)’, namely
        ‘allM (checkFile mvariant) files’
      In a stmt of a 'do' block:
        return (not $ null files) <&&> allM (checkFile mvariant) files
    • Relevant bindings include
        files :: [Options.Applicative.Internal.ListT IO a24]
          (bound at Test.hs:1792:25)
     |
1794 |                         return (not $ null files) <&&> allM (checkFile mvariant) files
     |                                                                                  ^^^^^
Test.hs:1807:9: error:
    • Couldn't match expected type ‘[Char] -> IO a3’
                  with actual type ‘Options.Applicative.Internal.NondetT m4 ()’
    • The function ‘createDirectory’ is applied to one argument,
      but its type ‘Options.Applicative.Internal.NondetT m4 ()’ has none
      In a stmt of a 'do' block: createDirectory "dir"
      In the second argument of ‘($)’, namely
        ‘do createDirectory "dir"
            writecontent ("dir" </> "foo") $ "dir/" ++ content annexedfile
            git_annex "add" ["dir"] "add of subdir"
            unlessM (hasUnlockedFiles <$> getTestMode)
              $ do git_annex "sync" [] "sync"
                   l <- annexeval
                          $ decodeBL
                              <$>
                                Annex.CatFile.catObject (Git.Types.Ref (encodeBS "HEAD:dir/foo"))
                   ....
            ....’
     |
1807 |         createDirectory "dir"
     |         ^^^^^^^^^^^^^^^^^^^^^
Test.hs:1819:9: error:
    • Couldn't match expected type ‘[Char] -> IO a4’
                  with actual type ‘Options.Applicative.Internal.NondetT m5 ()’
    • The function ‘createDirectory’ is applied to one argument,
      but its type ‘Options.Applicative.Internal.NondetT m5 ()’ has none
      In a stmt of a 'do' block: createDirectory "dir2"
      In the second argument of ‘($)’, namely
        ‘do createDirectory "dir"
            writecontent ("dir" </> "foo") $ "dir/" ++ content annexedfile
            git_annex "add" ["dir"] "add of subdir"
            unlessM (hasUnlockedFiles <$> getTestMode)
              $ do git_annex "sync" [] "sync"
                   l <- annexeval
                          $ decodeBL
                              <$>
                                Annex.CatFile.catObject (Git.Types.Ref (encodeBS "HEAD:dir/foo"))
                   ....
            ....’
     |
1819 |         createDirectory "dir2"
     |         ^^^^^^^^^^^^^^^^^^^^^^
Test.hs:1821:9: error:
    • Couldn't match expected type ‘IO a6’
                  with actual type ‘Options.Applicative.Internal.ListT m6 a5
                                    -> m6
                                         (Options.Applicative.Internal.TStep
                                            a5 (Options.Applicative.Internal.ListT m6 a5))’
    • Probable cause: ‘setCurrentDirectory’ is applied to too few arguments
      In a stmt of a 'do' block: setCurrentDirectory "dir"
      In the second argument of ‘($)’, namely
        ‘do createDirectory "dir"
            writecontent ("dir" </> "foo") $ "dir/" ++ content annexedfile
            git_annex "add" ["dir"] "add of subdir"
            unlessM (hasUnlockedFiles <$> getTestMode)
              $ do git_annex "sync" [] "sync"
                   l <- annexeval
                          $ decodeBL
                              <$>
                                Annex.CatFile.catObject (Git.Types.Ref (encodeBS "HEAD:dir/foo"))
                   ....
            ....’
      In the expression:
        intmpclonerepo
          $ do createDirectory "dir"
               writecontent ("dir" </> "foo") $ "dir/" ++ content annexedfile
               git_annex "add" ["dir"] "add of subdir"
               unlessM (hasUnlockedFiles <$> getTestMode)
                 $ do git_annex "sync" [] "sync"
                      l <- annexeval
                             $ decodeBL
                                 <$>
                                   Annex.CatFile.catObject (Git.Types.Ref (encodeBS "HEAD:dir/foo"))
                      ....
               ....
     |
1821 |         setCurrentDirectory "dir"
     |         ^^^^^^^^^^^^^^^^^^^^^^^^^
Test.hs:1821:29: error:
    • Couldn't match expected type ‘Options.Applicative.Internal.ListT
                                      m6 a5’
                  with actual type ‘[Char]’
    • In the first argument of ‘setCurrentDirectory’, namely ‘"dir"’
      In a stmt of a 'do' block: setCurrentDirectory "dir"
      In the second argument of ‘($)’, namely
        ‘do createDirectory "dir"
            writecontent ("dir" </> "foo") $ "dir/" ++ content annexedfile
            git_annex "add" ["dir"] "add of subdir"
            unlessM (hasUnlockedFiles <$> getTestMode)
              $ do git_annex "sync" [] "sync"
                   l <- annexeval
                          $ decodeBL
                              <$>
                                Annex.CatFile.catObject (Git.Types.Ref (encodeBS "HEAD:dir/foo"))
                   ....
            ....’
     |
1821 |         setCurrentDirectory "dir"
     |                             ^^^^^
Test.hs:1835:23: error:
    • Couldn't match expected type ‘Options.Applicative.Internal.ListT
                                      m3 a22’
                  with actual type ‘[Char]’
    • In the first argument of ‘doesFileExist’, namely ‘dest’
      In the first argument of ‘(@?)’, namely ‘doesFileExist dest’
      In a stmt of a 'do' block:
        doesFileExist dest @? (dest ++ " missing after addurl --file")
     |
1835 |         doesFileExist dest @? (dest ++ " missing after addurl --file")
     |                       ^^^^
Test.hs:1839:9: error:
    • Couldn't match expected type ‘[Char] -> IO a2’
                  with actual type ‘Options.Applicative.Internal.NondetT m2 ()’
    • The function ‘createDirectory’ is applied to one argument,
      but its type ‘Options.Applicative.Internal.NondetT m2 ()’ has none
      In a stmt of a 'do' block: createDirectory "dir"
      In the second argument of ‘($)’, namely
        ‘do createDirectory "dir"
            git_annex
              "initremote"
              (words
                 "foo type=directory encryption=none directory=dir exporttree=yes importtree=yes")
              "initremote"
            git_annex "get" [] "get of files"
            annexed_present annexedfile
            ....’
     |
1839 |         createDirectory "dir"
     |         ^^^^^^^^^^^^^^^^^^^^^
Test.hs:1894:9: error:
    • Couldn't match expected type ‘[Char] -> IO a0’
                  with actual type ‘Options.Applicative.Internal.NondetT m0 ()’
    • The function ‘createDirectory’ is applied to one argument,
      but its type ‘Options.Applicative.Internal.NondetT m0 ()’ has none
      In a stmt of a 'do' block: createDirectory "dir"
      In the second argument of ‘($)’, namely
        ‘do createDirectory "dir"
            git_annex
              "initremote"
              (words
                 "foo type=directory encryption=none directory=dir exporttree=yes importtree=yes")
              "initremote"
            git_annex "get" [] "get of files"
            annexed_present annexedfile
            ....’
     |
1894 |         createDirectory "dir"
     |         ^^^^^^^^^^^^^^^^^^^^^
Test.hs:1899:9: error:
    • Couldn't match expected type ‘[Char] -> IO a1’
                  with actual type ‘Options.Applicative.Internal.NondetT m1 ()’
    • The function ‘createDirectory’ is applied to one argument,
      but its type ‘Options.Applicative.Internal.NondetT m1 ()’ has none
      In a stmt of a 'do' block: createDirectory subdir
      In the second argument of ‘($)’, namely
        ‘do createDirectory "dir"
            git_annex
              "initremote"
              (words
                 "foo type=directory encryption=none directory=dir exporttree=yes importtree=yes")
              "initremote"
            git_annex "get" [] "get of files"
            annexed_present annexedfile
            ....’
     |
1899 |         createDirectory subdir
     |         ^^^^^^^^^^^^^^^^^^^^^^

Comment 8 Upstream Release Monitoring 2021-03-10 18:48:32 UTC
Latest upstream release: 8.20210310
Current version/release in rawhide: 8.20201129-2.fc34
URL: https://git-annex.branchable.com/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/1165/

Comment 9 Upstream Release Monitoring 2021-03-10 18:48:44 UTC
Created attachment 1762409 [details]
[patch] Update to 8.20210310 (#1921167)

Comment 10 Upstream Release Monitoring 2021-03-10 19:59:28 UTC
the-new-hotness/release-monitoring.org's scratch build of git-annex-8.20210310-1.fc32.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=63515218

Comment 11 Upstream Release Monitoring 2021-03-30 19:04:13 UTC
Latest upstream release: 8.20210330
Current version/release in rawhide: 8.20201129-2.fc34
URL: https://git-annex.branchable.com/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/1165/

Comment 12 Upstream Release Monitoring 2021-03-30 19:04:16 UTC
An unexpected error occurred while creating the scratch build and has been automatically reported. Sorry!

Comment 13 Upstream Release Monitoring 2021-04-28 17:36:53 UTC
Latest upstream release: 8.20210428
Current version/release in rawhide: 8.20201129-2.fc34
URL: https://git-annex.branchable.com/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/1165/

Comment 14 Upstream Release Monitoring 2021-04-28 17:36:57 UTC
Created attachment 1776831 [details]
[patch] Update to 8.20210428 (#1921167)

Comment 15 Upstream Release Monitoring 2021-04-28 19:06:11 UTC
the-new-hotness/release-monitoring.org's scratch build of git-annex-8.20210428-1.fc32.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=66869528

Comment 16 Fedora Update System 2021-05-17 00:53:28 UTC
FEDORA-2021-b6d596e30d has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-b6d596e30d

Comment 17 Fedora Update System 2021-05-17 00:53:29 UTC
FEDORA-2021-a8907cf4eb has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-a8907cf4eb

Comment 18 Fedora Update System 2021-05-17 02:14:54 UTC
FEDORA-2021-b6d596e30d has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-b6d596e30d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-b6d596e30d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2021-05-17 02:18:46 UTC
FEDORA-2021-43c2a0de20 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-43c2a0de20`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-43c2a0de20

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2021-05-17 02:21:47 UTC
FEDORA-2021-a8907cf4eb has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-a8907cf4eb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-a8907cf4eb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 21 Fedora Update System 2021-05-25 01:09:17 UTC
FEDORA-2021-43c2a0de20 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 22 Fedora Update System 2021-05-25 01:09:57 UTC
FEDORA-2021-b6d596e30d has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 23 Fedora Update System 2021-05-25 01:54:28 UTC
FEDORA-2021-a8907cf4eb has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.